Subject: [PATCH] ARM: AMx3xx: Allow low level debugging on all UARTs

From: [email-masked] (Tony Lindgren)
Date: Wed, 22 Jun 2016 03:04:46 -0700

* Lokesh Vutla <[email-masked]> [160621 05:10]:
> AM33xx/AM43xx Soc has 6 UART interfaces. Any of these 6 UARTs can be used as
> serial console as defined by the specific board design and passing a proper
> console bootarg. Given this, we should be able to use any UART(that is
> used as serial console) for low level debugging. Currently only UART1 can
> be used for low level debugging. So, adding support for all other UARTs
> instead of waiting for new board with a different UART console.

Well we should just switch over to the standard 8250 debug code
instead. With multiarch the port detection for debug_ll port is
no longer needed. And we can still keep the Kconfig options for
various ports.

Regards,

Tony